%define module_version 0.0203
%define module_name Badge-Depot-Plugin-Travis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Badge/Depot.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(Cpanel/JSON/XS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0203
Release: alt1
Summary: Travis plugin for Badge::Depot
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Badge-Depot-Plugin-Travis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Create a Travis badge for a github repository.

This class consumes the the Badge::Depot manpage role.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/B*

%changelog
* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.0203-alt1
- regenerated from template by package builder

* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.0202-alt1
- initial import by package builder

